//+------------------------------------------------------------------+
//|                                                 Alert Candle.mq4 |
//|                                                            Al Mo |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Al Mo"
#property link      ""

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red
#property indicator_width1 2
#property indicator_width2 2


extern double level  = 0.5;
extern int  loop = 1;

double CrossUp[];

double CrossDown[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  
  
   SetIndexStyle(0, DRAW_ARROW, EMPTY,2);

   SetIndexArrow(0, 241);

   SetIndexBuffer(0, CrossUp);

   SetIndexStyle(1, DRAW_ARROW,EMPTY, 2);

   SetIndexArrow(1, 242);

   SetIndexBuffer(1, CrossDown);
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   
   double range, body, condition;
   
   
   for(int i =  Bars-counted_bars;i >= loop ;i--)
      {
         range = MathAbs(High[i] - Low[i]);
         body = MathAbs(Open[i] - Close [i]);
         condition = (range * level)+Low[i];
         
         if((Close[i] > condition) && (Low[i] < Low[i-1]) && (High[i] < High[i-1]))
            {
            CrossUp[i] = High[i] + 10* Point;
            }
            
      
         
         if ((Close[i]  < condition) && (High[i] > High[i-1]) && (Low[i] > Low[i-1]))
            CrossDown[i] = Low[i] - 10*Point;
      }        
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+